summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVi0L02015-09-29 22:08:22 +0200
committerVi0L02015-09-29 22:08:22 +0200
commit7b0005d6e9b87b2273ba127dddeddf5753ea44ff (patch)
tree80d49aaa1579ab42ce4c9df6f65f9799df7b16b1
parente35366549b4c75c38ff4fd02d455f79e639ea2ed (diff)
downloadaur-7b0005d6e9b87b2273ba127dddeddf5753ea44ff.tar.gz
updated to 15.9
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD35
-rw-r--r--a-ac-aticonfig6
-rw-r--r--a-lid-aticonfig4
-rwxr-xr-xati-powermode.sh106
-rw-r--r--atieventsd.service2
-rw-r--r--catalyst-utils.install21
7 files changed, 166 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 84b00f5ca86..d8f4b327deb 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = catalyst-utils
- pkgver = 15.5
- pkgrel = 1
+ pkgver = 15.9
+ pkgrel = 2
url = http://www.amd.com
arch = i686
arch = x86_64
@@ -9,10 +9,13 @@ pkgbase = catalyst-utils
options = libtool
options = !strip
options = !upx
- source = http://www2.ati.com/drivers/linux/amd-catalyst-omega-15.5-linux-run-installers.zip
+ source = http://www2.ati.com/drivers/linux/amd-catalyst-15.9-linux-installer-15.201.1151-x86.x86_64.zip
source = catalyst.sh
source = atieventsd.sh
source = atieventsd.service
+ source = ati-powermode.sh
+ source = a-ac-aticonfig
+ source = a-lid-aticonfig
source = catalyst.conf
source = arch-fglrx-authatieventsd_new.patch
source = switchlibGL
@@ -20,10 +23,13 @@ pkgbase = catalyst-utils
source = pxp_switch_catalyst
source = temp_links_catalyst
source = temp-links-catalyst.service
- md5sums = 979f9f2e0948fa6e92ff0125f5c6b575
+ md5sums = d2de2df6946b452c266a3c892e6e46ff
md5sums = bdafe749e046bfddee2d1c5e90eabd83
md5sums = 9d9ea496eadf7e883d56723d65e96edf
- md5sums = 90a37e010f4e5f45e270cd000894d553
+ md5sums = b79e144932616221f6d01c4b05dc9306
+ md5sums = 514899437eb209a1d4670df991cdfc10
+ md5sums = 80fdfbff93d96a1dfca2c7f684be8cc1
+ md5sums = 9054786e08cf3ea2a549fe22d7f2cd92
md5sums = 3e19c2285c76f4cb92108435a1e9c302
md5sums = b3ceefeb97c609037845f65d0956c4f0
md5sums = 394bc493fdf493a5093f9e2095096d02
@@ -36,7 +42,7 @@ pkgname = catalyst-utils
pkgdesc = AMD/ATI drivers. Utilities and libraries. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
install = catalyst-utils.install
depends = xorg-server>=1.7.0
- depends = xorg-server<1.17.0
+ depends = xorg-server<1.18.0
depends = libxrandr
depends = libsm
depends = fontconfig
@@ -49,8 +55,9 @@ pkgname = catalyst-utils
optdepends = acpid: acpi event support / atieventsd
optdepends = catalyst-libgl: Catalyst drivers libraries symlinks.
optdepends = opencl-catalyst: OpenCL implemention for AMD Catalyst
+ optdepends = procps-ng: brings pgrep used in acpi event support
optdepends = lib32-catalyst-utils: Utilities and libraries (32-bit)
- provides = libatical=15.5
+ provides = libatical=15.9
provides = dri
provides = libtxc_dxtn
conflicts = catalyst-test
diff --git a/PKGBUILD b/PKGBUILD
index acc5929b508..43d6d9be71f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,9 +10,9 @@
pkgbase=catalyst-utils
pkgname=('catalyst-utils' 'catalyst-libgl' 'opencl-catalyst')
-pkgver=15.5
-pkgrel=1
-#_amdver=15.101.1001
+pkgver=15.9
+pkgrel=2
+_amdver=15.201.1151
arch=('i686' 'x86_64')
url="http://www.amd.com"
license=('custom')
@@ -22,10 +22,13 @@ url_ref="http://support.amd.com/en-us/download/desktop?os=Linux+x86"
DLAGENTS="http::/usr/bin/curl --referer ${url_ref} -o %o %u"
source=(
- http://www2.ati.com/drivers/linux/amd-catalyst-omega-${pkgver}-linux-run-installers.zip
+ http://www2.ati.com/drivers/linux/amd-catalyst-${pkgver}-linux-installer-${_amdver}-x86.x86_64.zip
catalyst.sh
atieventsd.sh
atieventsd.service
+ ati-powermode.sh
+ a-ac-aticonfig
+ a-lid-aticonfig
catalyst.conf
arch-fglrx-authatieventsd_new.patch
switchlibGL
@@ -34,10 +37,13 @@ source=(
temp_links_catalyst
temp-links-catalyst.service)
-md5sums=('979f9f2e0948fa6e92ff0125f5c6b575'
+md5sums=('d2de2df6946b452c266a3c892e6e46ff'
'bdafe749e046bfddee2d1c5e90eabd83'
'9d9ea496eadf7e883d56723d65e96edf'
- '90a37e010f4e5f45e270cd000894d553'
+ 'b79e144932616221f6d01c4b05dc9306'
+ '514899437eb209a1d4670df991cdfc10'
+ '80fdfbff93d96a1dfca2c7f684be8cc1'
+ '9054786e08cf3ea2a549fe22d7f2cd92'
'3e19c2285c76f4cb92108435a1e9c302'
'b3ceefeb97c609037845f65d0956c4f0'
'394bc493fdf493a5093f9e2095096d02'
@@ -47,7 +53,7 @@ md5sums=('979f9f2e0948fa6e92ff0125f5c6b575'
'2c22bb4d4f828cb8b024f670c1ae7e45')
build() {
- /bin/sh ./amd-catalyst-omega-${pkgver}-linux-run-installers.run --extract archive_files
+ /bin/sh ./AMD-Catalyst-${pkgver}-Linux-installer-${_amdver}-x86.x86_64.run --extract archive_files
}
package_catalyst-libgl() {
@@ -130,12 +136,13 @@ package_opencl-catalyst() {
package_catalyst-utils() {
pkgdesc="AMD/ATI drivers. Utilities and libraries. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED"
- depends=('xorg-server>=1.7.0' 'xorg-server<1.17.0' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'libxinerama')
+ depends=('xorg-server>=1.7.0' 'xorg-server<1.18.0' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'libxinerama')
optdepends=('qt4: to run ATi Catalyst Control Center (amdcccle)'
'libxxf86vm: to run ATi Catalyst Control Center (amdcccle)'
'acpid: acpi event support / atieventsd'
'catalyst-libgl: Catalyst drivers libraries symlinks.'
- 'opencl-catalyst: OpenCL implemention for AMD Catalyst')
+ 'opencl-catalyst: OpenCL implemention for AMD Catalyst'
+ 'procps-ng: brings pgrep used in acpi event support')
if [ "${CARCH}" = "x86_64" ]; then
optdepends+=('lib32-catalyst-utils: Utilities and libraries (32-bit)')
fi
@@ -238,9 +245,13 @@ package_catalyst-utils() {
install -m644 usr/share/applications/*.desktop ${pkgdir}/usr/share/applications
# ACPI example files
- install -m755 usr/share/doc/fglrx/examples/etc/acpi/*.sh ${pkgdir}/etc/acpi
- sed -i -e "s/usr\/X11R6/usr/g" ${pkgdir}/etc/acpi/ati-powermode.sh
- install -m644 usr/share/doc/fglrx/examples/etc/acpi/events/* ${pkgdir}/etc/acpi/events
+# install -m755 usr/share/doc/fglrx/examples/etc/acpi/*.sh ${pkgdir}/etc/acpi
+# sed -i -e "s/usr\/X11R6/usr/g" ${pkgdir}/etc/acpi/ati-powermode.sh
+# install -m644 usr/share/doc/fglrx/examples/etc/acpi/events/* ${pkgdir}/etc/acpi/events
+ # lets check our own files - V
+ install -m755 ${srcdir}/ati-powermode.sh ${pkgdir}/etc/acpi
+ install -m644 ${srcdir}/a-ac-aticonfig ${pkgdir}/etc/acpi/events
+ install -m644 ${srcdir}/a-lid-aticonfig ${pkgdir}/etc/acpi/events
# Add ATI Events Daemon launcher
install -m755 ${srcdir}/atieventsd.sh ${pkgdir}/etc/rc.d/atieventsd
diff --git a/a-ac-aticonfig b/a-ac-aticonfig
new file mode 100644
index 00000000000..753e3af063f
--- /dev/null
+++ b/a-ac-aticonfig
@@ -0,0 +1,6 @@
+# /etc/acpi/events/ac
+# Called when the user connects ac power to us
+#
+
+event=ac_adapter
+action=/etc/acpi/ati-powermode.sh "%e"
diff --git a/a-lid-aticonfig b/a-lid-aticonfig
new file mode 100644
index 00000000000..021f834ba6d
--- /dev/null
+++ b/a-lid-aticonfig
@@ -0,0 +1,4 @@
+# Called when the user opens/closes the laptop lid
+
+event=button/lid
+action=/etc/acpi/ati-powermode.sh "%e"
diff --git a/ati-powermode.sh b/ati-powermode.sh
new file mode 100755
index 00000000000..ded996c4305
--- /dev/null
+++ b/ati-powermode.sh
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+#
+# Control script for ACPI lid state and AC adapter state
+#
+
+getXuser() {
+ user=`pinky -fw | awk '{ if ($2 == ":'$displaynum'" || $(NF) == ":'$displaynum'" ) { print $1; exit; } }'`
+ if [ x"$user" = x"" ]; then
+ startx=`pgrep -n startx`
+ if [ x"$startx" != x"" ]; then
+ user=`ps -o user --no-headers $startx`
+ fi
+ fi
+ if [ x"$user" != x"" ]; then
+ userhome=`getent passwd $user | cut -d: -f6`
+ export XAUTHORITY=$userhome/.Xauthority
+ else
+ export XAUTHORITY=""
+ fi
+ export XUSER=$user
+}
+
+#Find the right XServer to be configured.
+getXserver() {
+for x in /tmp/.X11-unix/*; do
+ displaynum=`echo $x | sed s#/tmp/.X11-unix/X##`
+ getXuser;
+ if [ x"$XAUTHORITY" != x"" ]; then
+ export DISPLAY=":$displaynum"
+ fi
+done
+}
+
+#If PPLIB is enabled
+checkPPLIB() {
+su $user -c '/usr/bin/aticonfig --pplib-cmd="get version"' | grep PPLIB
+if [ $? = 0 ]; then
+ echo "Has PPLIB"
+ has_pplib=1
+else
+ echo "No PPLIB"
+ has_pplib=0
+fi
+}
+
+case "$1" in
+ ac_adapter)
+ case "$2" in
+ AC|ACAD|ADP0)
+ case "$4" in
+ 00000000)
+ logger 'AC unpluged'
+ getXserver;
+ checkPPLIB;
+ if [ ${has_pplib} -eq 1 ]; then
+ su $user -c '/usr/bin/aticonfig --pplib-cmd="notify psrc dc"'
+ else
+ su $user -c "/usr/bin/aticonfig --set-powerstate=1 --effective=now"
+ fi
+ ;;
+ 00000001)
+ logger 'AC pluged'
+ getXserver;
+ checkPPLIB;
+ if [ ${has_pplib} -eq 1 ]; then
+ su $user -c '/usr/bin/aticonfig --pplib-cmd="notify psrc ac"'
+ else
+ su $user -c "/usr/bin/aticonfig --set-powerstate=3 --effective=now"
+ fi
+ ;;
+ esac
+ ;;
+ *)
+ logger "ACPI action undefined: $2"
+ ;;
+ esac
+ ;;
+ button/lid)
+ case "$3" in
+ close)
+ logger 'LID closed'
+ getXserver;
+ checkPPLIB;
+ if [ ${has_pplib} -eq 1 ]; then
+ su $user -c '/usr/bin/aticonfig --pplib-cmd="notify psrc dc"'
+ else
+ su $user -c "/usr/bin/aticonfig --set-powerstate=1 --effective=now"
+ fi
+ ;;
+ open)
+ logger 'LID opened'
+ getXserver;
+ checkPPLIB;
+ if [ ${has_pplib} -eq 1 ]; then
+ su $user -c '/usr/bin/aticonfig --pplib-cmd="notify psrc ac"'
+ else
+ su $user -c "/usr/bin/aticonfig --set-powerstate=3 --effective=now"
+ fi
+ ;;
+ *)
+ logger "ACPI action undefined: $3"
+ ;;
+ esac
+ ;;
+esac \ No newline at end of file
diff --git a/atieventsd.service b/atieventsd.service
index 3bbf25acb8f..ff58ce7540e 100644
--- a/atieventsd.service
+++ b/atieventsd.service
@@ -1,6 +1,6 @@
[Unit]
Description=Catalyst event Daemon
-Requires=acpid.socket
+Requires=acpid.service
[Service]
ExecStart=/usr/bin/atieventsd --nodaemon
diff --git a/catalyst-utils.install b/catalyst-utils.install
index 6e09a9e5caf..13789f52467 100644
--- a/catalyst-utils.install
+++ b/catalyst-utils.install
@@ -44,24 +44,27 @@ post_install() {
echo "For more info and troubleshooting visit:"
echo "http://wiki.archlinux.org/index.php/ATI_Catalyst"
echo "----------------------------------------------------------------"
- echo -e "\e[1;31m-------------------------- SPLIT -------------------------------\e[0m"
- echo "catalyst-utils is now splitted into:"
+ echo "-------------------------- SPLIT -------------------------------"
+ echo "catalyst-utils is splitted into:"
echo "catalyst-utils"
echo "catalyst-libgl"
echo "opencl-catalyst"
- echo ""
- echo -e "You MOST probably want to also install \e[1;31mcatalyst-libgl\e[0m"
+ echo "You MOST probably want to also install catalyst-libgl"
+ echo "----------------------------------------------------------------"
+ echo -e "\e[1;31m-------------------------- TTY BUG -----------------------------\e[0m"
+ echo "There's a bug in switching to VT/TTY"
+ echo "Using uvesafb is a workaround:"
+ echo "https://wiki.archlinux.org/index.php/uvesafb"
echo -e "\e[1;31m----------------------------------------------------------------\e[0m"
# bug_whisper
# signa
}
post_upgrade(){
- echo -e "\e[1;31m-------------------------- SPLIT -------------------------------\e[0m"
- echo "catalyst-utils is now splitted into:"
- echo "catalyst-utils"
- echo "catalyst-libgl"
- echo "opencl-catalyst"
+ echo -e "\e[1;31m-------------------------- TTY BUG -----------------------------\e[0m"
+ echo "There's a bug in switching to VT/TTY"
+ echo "Using uvesafb is a workaround:"
+ echo "https://wiki.archlinux.org/index.php/uvesafb"
echo -e "\e[1;31m----------------------------------------------------------------\e[0m"
# bug_whisper
# signa